"use strict";

const commandError = require('./error');
const coreapi = require('../coreapi');

const coreEndpoint = '/stores/add-balance';

function help(keyword) {
    return `Untuk menambah saldo downline, ketik perintah dengan format: ${ keyword.toUpperCase() }.<IDDOWNLINE>.<JUMLAH>.<PIN>`;
}

function execute(tokens, params, cb) {
    
    if (!tokens || tokens.length < 4) {
        const responseParams = {
            body: `${ commandError.ERR_INVALID_FORMAT }. ${ help(tokens[0]) }`
        }

        cb(null, null, responseParams);
        return;
    }

    const coreParams = {
        asker_terminal_name: params.from,
        destination_store_id: tokens[1],
        amount: tokens[2],
        asker_terminal_password: tokens[3],
        additional_note: tokens.slice(4).join(' ') || ''
    };

    coreapi(coreEndpoint, coreParams, 'GET', cb);
}

module.exports = execute;